#include <bits/stdc++.h>

using namespace std;

int main(){

    vector<int> v;
    int n, k, x;
    bool ima = false;
    scanf("%d%d%d", &n, &k, &x);
    int a, b;
    for(int i = 1; i<=k; i++){
        if(k%i==0){

            if(i*(k/i)<=n)
            {

                a=i;
                b=k/i;
                ima=true;
                break;
            }
        }
    }
    if(!ima){
        printf("-1\n");
        return 0;
    }
    for(int i =0; i<a; i++)
        v.push_back(1);

    for(int i =0; i<b ; i++)
        v.push_back(x+2);


    for(int i =0; i<(n-(a+b)); i++)
        v.push_back(x/2);

    for(int i=0; i<v.size(); i++)
        printf("%d ", v[i]);
    printf("\n");
    return 0;
}